cdac.medinfo.sdk.hl7282.baselibs

## Class XON

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.XON

- All Implemented Interfaces:
    IDataType

      public class XON
      extends CompositeDataType

  XON - Extended composite name and identification number for organizations

  This data type specifies - extended composite name and identification number for organizations.

  Represents an HL7 XON data type. This data type has the following attributes:

  1. Organization Name (ST)Optional
  2. Organization Name Type Code (CWE)Optional
  3. ID Number Withdrawn
  4. Identifier Check Digit Withdrawn
  5. Check Digit Scheme Withdrawn
  6. Assigning Authority (HD)Optional
  7. Identifier Type Code (ID)Optional
  8. Assigning Facility (HD)Optional
  9. Name Representation Code (ID)Optional
  10. Organization Identifier (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XON()` Default constructor for XON.
    `XON(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for XON class which takes four arguments and sets the value in the respective member variable.
    `XON(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for XON class which takes five arguments and sets the value in the respective member variable.
    `XON(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for XON class which takes six arguments and sets the value in the respective member variable.
    `XON(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for XON class which takes four arguments and sets the value in the respective member variable.
    `XON(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for XON class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `HD` | `getAssigningAuthority()` Returns Assigning Authority
    `HD` | `getAssigningFacility()` Returns Assigning Facility
    `ID` | `getIdentifierTypeCode()` Returns Identifier Type Code
    `ID` | `getNameRepresentationCode()` Returns Name Representation Code
    `ST` | `getOrganizationIdentifier()` Returns Organization Identifier
    `ST` | `getOrganizationName()` Returns Organization Name
    `CWE` | `getOrganizationNameTypeCode()` Returns Organization Name Type Code
    `void` | `setAssigningAuthority(HD objAssigningAuthority)` Sets the Assigning Authority.
    `void` | `setAssigningFacility(HD objAssigningFacility)` Sets the Assigning Facility.
    `void` | `setIdentifierTypeCode(ID objID)` Sets the Identifier Type Code.
    `void` | `setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)` Sets the Identifier Type Code.
    `void` | `setNameRepresentationCode(ID objID)` Sets the Name Representation Code.
    `void` | `setNameRepresentationCode(java.lang.String strNameRepresentationCode)` Sets the Name Representation Code.
    `void` | `setOrganizationIdentifier(ST objST)` Sets the Organization Identifier.
    `void` | `setOrganizationIdentifier(java.lang.String strOrganizationIdentifier)` Sets the Organization Identifier.
    `void` | `setOrganizationName(ST objST)` Sets the Organization Name.
    `void` | `setOrganizationName(java.lang.String strOrganizationName)` Sets the Organization Name.
    `void` | `setOrganizationNameTypeCode(CWE objCWE)` Sets the Organization Name Type Code.
    `void` | `setOrganizationNameTypeCode(java.lang.String strOrganizationNameTypeCode)` Sets the Organization Name Type Code.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XON

          public XON()

      Default constructor for XON.

    - #### XON

          public XON(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for XON class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XON

          public XON(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)

      Constructor for XON class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XON

          public XON(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for XON class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XON

          public XON(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for XON class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### XON

          public XON(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for XON class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setOrganizationName

          public void setOrganizationName(java.lang.String strOrganizationName)

      Sets the Organization Name.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.

    - #### setOrganizationName

          public void setOrganizationName(ST objST)

      Sets the Organization Name.
      Parameters:
        `objST` - Specifies name of the specified organization.

    - #### setOrganizationNameTypeCode

          public void setOrganizationNameTypeCode(java.lang.String strOrganizationNameTypeCode)

      Sets the Organization Name Type Code.
      Parameters:
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]

    - #### setOrganizationNameTypeCode

          public void setOrganizationNameTypeCode(CWE objCWE)

      Sets the Organization Name Type Code.
      Parameters:
        `objCWE` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]

    - #### setAssigningAuthority

          public void setAssigningAuthority(HD objAssigningAuthority)

      Sets the Assigning Authority.
      Parameters:
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)

      Sets the Identifier Type Code.
      Parameters:
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(ID objID)

      Sets the Identifier Type Code.
      Parameters:
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.

    - #### setAssigningFacility

          public void setAssigningFacility(HD objAssigningFacility)

      Sets the Assigning Facility.
      Parameters:
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(java.lang.String strNameRepresentationCode)

      Sets the Name Representation Code.
      Parameters:
        `strNameRepresentationCode` - specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(ID objID)

      Sets the Name Representation Code.
      Parameters:
        `objID` - specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]

    - #### setOrganizationIdentifier

          public void setOrganizationIdentifier(java.lang.String strOrganizationIdentifier)

      Sets the Organization Identifier.
      Parameters:
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setOrganizationIdentifier

          public void setOrganizationIdentifier(ST objST)

      Sets the Organization Identifier.
      Parameters:
        `objST` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### getOrganizationName

          public ST getOrganizationName()

      Returns Organization Name
      Returns:
        ST - data type.

    - #### getOrganizationNameTypeCode

          public CWE getOrganizationNameTypeCode()

      Returns Organization Name Type Code
      Returns:
        CWE - data type.

    - #### getAssigningAuthority

          public HD getAssigningAuthority()

      Returns Assigning Authority
      Returns:
        HD - data type.

    - #### getIdentifierTypeCode

          public ID getIdentifierTypeCode()

      Returns Identifier Type Code
      Returns:
        ID - data type.

    - #### getAssigningFacility

          public HD getAssigningFacility()

      Returns Assigning Facility
      Returns:
        HD - data type.

    - #### getNameRepresentationCode

          public ID getNameRepresentationCode()

      Returns Name Representation Code
      Returns:
        ID - data type.

    - #### getOrganizationIdentifier

          public ST getOrganizationIdentifier()

      Returns Organization Identifier
      Returns:
        ST - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.